cURL
curl --request POST \
--url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/invites/{invite}/session \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/invites/{invite}/session"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/invites/{invite}/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"onboardingLink": "https://secure.payrollintegrationsdemo.com/link?token=eyJhbGciOiJSUzI1NiIsImtpZCI6Ik1UY3pOVEkyTnpnNU1ERT0ifQ.eyJzdWIiOiI5ZjJhNGJjZC03ZThmLTQ1YWItYjkxMi1hYzNkZWY2NzhhOTAiLCJpc3MiOiJodHRwczpcL1wvY29nbml0by1pZHAudXMtd2VzdC0yLmFtYXpvbmF3cy5jb21cL3VzLXdlc3QtMl9TYW1wbGVQb29sIiwiY2xpZW50X2lkIjoiN2g4ajlrMGwxbTJuM280cDVxNnI3czh0OXUiLCJvcmlnaW5fanRpIjoiYjZjN2Q4ZTktZjBhMS00MmIzLThjZDQtZTVmNmE3YjhjOWQwIiwiZXZlbnRfaWQiOiJhNWI2YzdkOC1lOWYwLTQxYTItN2JjMy1kNGU1ZjZhN2I4YzkiLCJ0b2tlbl91c2UiOiJhY2Nlc3MiLCJzY29wZSI6ImF3cy5jb2duaXRvLnNpZ25pbi51c2VyLmFkbWluIiwiYXV0aF90aW1lIjoxNzAwMDAwMDAwLCJleHAiOjE3MDAwMDM2MDAsImlhdCI6MTcwMDAwMDAwMCwianRpIjoiYzFkMmUzZjQtZzVoNi00N2k4LTg5ajAtZGVmZ2gxMjM0aTU2IiwidXNlcm5hbWUiOiJzYW1wbGUtdXNlci03ZjhhOWJjZC0xZTJmLTNnNGgtNWk2ai03azhsOW0wbjFvMnAifQ.VGhpc0lzQVJhbmRvbVNpZ25hdHVyZVRoYXRJc05vdFZhbGlkQW5kU2hvdWxkTm90QmVVc2VkSW5Qcm9kdWN0aW9uRW52aXJvbm1lbnRzVGhpc0lzQU1vY2tFeGFtcGxlRm9yRG9jdW1lbnRhdGlvblB1cnBvc2VzT25seVBsZWFzZUdlbmVyYXRlWW91ck93blJlYWxUb2tlbkZyb21Db2duaXRvSW5Qcm9kdWN0aW9uRW52aXJvbm1lbnRzTm90VGhpc0V4YW1wbGU&plan=3"
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Invites
Create Employer Invite Session
Generates a new link for an existing employer onboarding invite
POST
/
v1
/
employer-identifiers
/
{employer_identifier}
/
invites
/
{invite}
/
session
cURL
The generated onboarding link is only valid for 30 minutes, and it should be opened in the client’s browser as it cannot be reused once activated. For asynchronous onboarding, use the send-email endpoint.
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Path Parameters
ID of the employer identifier to create a new onboarding session token for
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ID of the employer invite to retrieve
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Employer invite session link created successfully